#pragma once
#include <map>
struct M_ReturnBenifitSignCFGData
{
	//天数
	int mDay;
	//奖励物品
	int mItem;
	//奖励数量
	int mItemCount;
};

class M_ReturnBenifitSignCFG
{
public:
private:
	static std::auto_ptr<M_ReturnBenifitSignCFG> msSingleton;
public:
	int GetCount();
	const M_ReturnBenifitSignCFGData* GetData(int Day);
	const std::map<int, M_ReturnBenifitSignCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ReturnBenifitSignCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ReturnBenifitSignCFGData> mMapData;
};
